%define version    1.0
%define release    20150303.4
%define rhel_version 7

# The behaviour of the rpm-build package for python files varies between
# releases.  Sometime in the FC4 timeframe it gained a file
# /usr/lib/rpm/brp-python-bytecompile which generates pyo and pyc files for py
# files, in a phase after the install.
# This macro is needed to turn this off, for building on FC4/RHEL5 and later:
%define byte_compiled_python 0

# define python macros for RHEL6
%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:           redhat-certification
Summary:        Red Hat Certification
Version:        %{version}
Release:        %{release}.el%{rhel_version}
Group:          Development/Tools
License:        GPL
URL:			http://redhat.com
Source0:        %{name}-%{version}-%{release}.tar.bz2
# snapshot
Buildroot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
Obsoletes: rhcert-client, ccp-client
Requires: httpd
Requires: dbus-python
Requires: mod_wsgi
# for container certifications
Requires: m2crypto, python-magic
BuildRequires: python2-devel
%if 0%{?rhel} && 0%{?rhel} > 6
Requires(post): systemd
Requires(post): firewalld
%endif

%description
Red Hat Certification runs certification tests for Red Hat products

%prep
%setup -q -c


%build
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
DESTDIR=$RPM_BUILD_ROOT make RHCERT_RHEL_VERSION=%{rhel_version}

%install
DESTDIR=$RPM_BUILD_ROOT make RHCERT_RHEL_VERSION=%{rhel_version} install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%pre

%post
chcon -R system_u:object_r:httpd_sys_content_t:s0 /var/www/rhcert
chcon -R system_u:object_r:httpd_sys_rw_content_t:s0 /var/www/rhcert/store
chcon -R system_u:object_r:httpd_sys_script_exec_t:s0 /var/www/rhcert/wsgi
setsebool -P httpd_can_network_connect 1

%files
%defattr(-,root,root)
/usr/bin/rhcert
/usr/bin/rhcert-backend
%{?python2_sitelib}/rhcert/*.py*
%{?python2_sitelib}/rhcert/listener
%{?python2_sitelib}/rhcert/client
%{?python2_sitelib}/rhcert/suites/__init__.py*
%{?python2_sitelib}/rhcert/info/*.xml

# set to user apache for server/cgi serving
%attr(-, apache, apache) /var/www/rhcert
/etc/httpd/conf.d/rhcert.conf
/etc/httpd/conf.d/rhcert.pem
/etc/init.d/rhcert-backend

%changelog
* Tue Mar 03 2015 Greg Nichols <gnichols@redhat.com>

  1198201 - Web UI Improvements
  1198324 - Spelling error in OpenStack button on main web page

* Fri Feb 27 2015 Greg Nichols <gnichols@redhat.com>

  1197215 - command-line container submission does not submit encrypted file

* Thu Feb 26 2015 Greg Nichols <gnichols@redhat.com>

  1196817 - The "save" command should save results directly to the local server
  1196828 - redhat-backend server start-up - spurious output

* Wed Feb 25 2015 Greg Nichols <gnichols@redhat.com>

  1196370 - Interactive UI uses whole-page refresh polling for status

* Tue Feb 24 2015 Greg Nichols <gnichols@redhat.com>

  1195744 - fv_network test fails http transfer test - can not find IP address seen by server

* Mon Feb 23 2015 Greg Nichols <gnichols@redhat.com>

  1195311 - hardware and container certifications should be enabled
  1195291 - Build Errors: No images in image directory

* Fri Feb 20 2015 Greg Nichols <gnichols@redhat.com>

  1194782 - Interactive UI looses track of host during reboot for the kdump test
  - updated container send public key for production

* Thu Feb 19 2015 Greg Nichols <gnichols@redhat.com>

  1194313 - openstack bugzilla default URL should point to production, not stage
  1194021 - client daemon trackback on start after clean

* Wed Feb 18 2015 Greg Nichols <gnichols@redhat.com>

  - updated public key for container encryption
  1193477 -  Realtime kernels cause info test to fail even when kernelInfo.xml has been updated

* Tue Feb 17 2015 Greg Nichols <gnichols@redhat.com>

  1193589 - Selection of device-specific tests doesn't work
  1193647 - rhcert does not save updated results if incomplete tests are finished after reboot.

* Mon Feb 16 2015 Greg Nichols <gnichols@redhat.com>

  1193086 - fv_network test can not save test files during http transfer test

* Sun Feb 15 2015 Greg Nichols <gnichols@redhat.com>

  1192598 - rhcert needs to provide interfaces for network testing of hosts running hwcert-client 1.6.5.2

* Fri Feb 13 2015 Greg Nichols <gnichols@redhat.com>

  1192492 - Traceback on container image submission
  1192542 - Failed fv tests reported as passing

* Wed Feb 11 2015 Greg Nichols <gnichols@redhat.com>

   - install public key

* Tue Feb 10 2015 Greg Nichols <gnichols@redhat.com>

   - remove scratch for container certifications
   - 1179283 - Unable to delete hosts in rhcert UI
   - obseletes ccp-client

* Wed Feb 04 2015 Greg Nichols <gnichols@redhat.com>

   - fix traceback on rhcert-backend save/submit on containers"
   - use .aes file extension for encrypted images

* Tue Feb 03 2015 Greg Nichols <gnichols@redhat.com>

  - added python-magic and m2crypto to the required packages

* Mon Feb 02 2015 Greg Nichols <gnichols@redhat.com>

  - changed container image compression detection to use python-magic
  - fixed traceback when an openstack test finishes
  - changed workflow link on openstack certs to refer to bugzilla

* Fri Jan 30 2015 Greg Nichols <gnichols@redhat.com>

  - changed container image compression from bzip2 to gzip

* Thu Jan 29 2015 Greg Nichols <gnichols@redhat.com>

  - fixed traceback on container image submission
  - added compression of container images

* Wed Jan 28 2015 Greg Nichols <gnichols@redhat.com>

  - only OpenStack certification is enabled

* Tue Jan 27 2015 Greg Nichols <gnichols@redhat.com>

  - add encryption of container images
  - change default attachment size limit to 128MB
 
* Tue Jan 20 2015 Greg Nichols <gnichols@redhat.com>

  - remove certification types other than hardware and openstack
  - fix logic associating hosts with certs by product version

* Mon Jan 19 2015 Greg Nichols <gnichols@redhat.com>

  improved status reporting for interactive tests

* Tue Jan 13 2015 Greg Nichols <gnichols@redhat.com>

  extraneous output on catalog submit crashes browser

* Fri Jan 09 2015 Greg Nichols <gnichols@redhat.com>

  1179305 - CWE API change needed for Vendor, Make, and Model
  1179181 - New openstack certification asks to add hosts 2 times instead of 1

* Wed Jan 07 2015 Greg Nichols <gnichols@redhat.com>

  1179363 - self.statusMessage does not output provided input message to the rhcert web UI

* Mon Jan 05 2015 Greg Nichols <gnichols@redhat.com>

  - removed post install scripting to open ports 80 and 8009 in firewall.

* Mon Dec 22 2014 Greg Nichols <gnichols@redhat.com>

  - changed XML parsing to allow "huge_tree" for large attachments
  - change listener to bind to current host/ip

* Thu Dec 18 2014 Greg Nichols <gnichols@redhat.com>

  - added support for editing multi-line text in the interactive UI
  - added support for tests needing to reboot hosts (continuations).

* Tue Dec 09 2014 Greg Nichols <gnichols@redhat.com>

  - add support for /store URLS

* Tue Nov 25 2014 Greg Nichols <gnichols@redhat.com>

   1164857 - hwcert-client confused by RHELSA contents in /etc/redhat-release
   - fix manual addition of tests

* Mon Nov 24 2014 Greg Nichols <gnichols@redhat.com>

  - fix selinux, firewall errors on package installation

* Thu Nov 20 2014 Greg Nichols <gnichols@redhat.com>

  - Scratch Certifications: added tracking certification documents as scratch, 
    removing link to "Go To Workflow".

* Wed Nov 19 2014 Greg Nichols <gnichols@redhat.com>

  - add mimetype and encoding storage for attachments

* Tue Nov 18 2014 Greg Nichols <gnichols@redhat.com>

Version 1.0

  - Added md5 checksums to attachments within results.xml

* Wed Oct 08 2014 Greg Nichols <gnichols@redhat.com>

Version 0.4

  - package name changed from rhcert-client to redhat-certification
  - rhcert-server subpackage merged into redhat-certification package

* Mon Sep 22 2014 Greg Nichols <gnichols@redhat.com>

Version 0.3
   - server store area changed to use certification type-id directories
   - cert ids must be unique within cert types

* Mon Jul 07 2014 Greg Nichols <gnichols@redhat.com>

   - added UI for certification creation, and associating with hosts.

* Wed Jul 02 2014 Greg Nichols <gnichols@redhat.com>

   - fix builds for RHEL6/RHEL6 independance

* Mon May 5 2014 Greg Nichols <gnichols@redhat.com>

  Initial Build

